<?php
  /*
    ********************************************************************
    *         Название:  SR Guestbook                                  *
    ********************************************************************
    *           Версия:  1.2                                           *
    *        Стоимость:  бесплатный скрипт                             *
    *       Требования:  PHP4 и выше                                   *
    *        Платформа:  любая                                         *
    *             Язык:  русский                                       *
    *            Автор:  Sad Raven (http://www.sad-raven.ru)           *
    ********************************************************************
    *           Создан:  10 июля 2002                                  *
    ********************************************************************
  */

error_reporting(0);

if (file_exists("passwd.dat") && $QUERY_STRING != ""):
     require ("passwd.dat");
     if (!isset($alogin) || md5($pass) != $Password[$alogin] || !isset($Password[$alogin])):
          $logined = 0;
          $error = "Неверный логин или пароль!<br>";
          setcookie("alogin","",0);
          setcookie("pass","",0);
     else:
          $logined = 1;
          setcookie("alogin",$alogin);
          setcookie("pass",$pass);
     endif;
endif;
?>

<html>
<head>
<title>SR Guestbook v1.2</title>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="content-type" content="text/html; charset=windows-1251">
<style>
body 
  {
  font-family: Verdana, Tahoma, Helvetica, Arial, sans-serif, "Arial Cyr"; font-size: 11px; color: #222222; 
  scrollbar-face-color: #E8E8FF;
  scrollbar-highlight-color: #CCCCCC;
  scrollbar-shadow-color: #CCCCCC;
  scrollbar-3dlight-color: #CCCCCC;
  scrollbar-arrow-color: #888888;
  scrollbar-track-color: #E8E8FF;
  scrollbar-darkshadow-color: #CCCCCC
  }
.p {color: #222222; font-size: 11px; font-family: Verdana, Tahoma}
.p1 {color: #6060B0; font-size: 11px; font-family: Verdana, Tahoma}
.p2 {color: #222222; font-size: 10px; font-family: Verdana, Tahoma}
.error {color: #FF0000; font-size: 11px; font-weight:bold; font-family: Verdana, Tahoma}
a:link {font-size: 11px; color: #6060B0; font-weight: normal; text-decoration: none}
a:visited {font-size: 11px; color: #6060B0; font-weight: normal; text-decoration: none}
a:active {font-size: 11px; color: #6060B0; font-weight: normal; text-decoration: none}
a:hover {font-size: 11px; color: #000000; font-weight: normal; text-decoration: none}
a.a:link {font-size: 11px; color: #6060B0; font-weight: bold; text-decoration: none}
a.a:visited {font-size: 11px; color: #6060B0; font-weight: bold; text-decoration: none}
a.a:active {font-size: 11px; color: #6060B0; font-weight: bold; text-decoration: none}
a.a:hover {font-size: 11px; color: #000000; font-weight: bold; text-decoration: none}
a.a1:link {font-size: 10px; color: #6060B0; font-weight: bold; text-decoration: none}
a.a1:visited {font-size: 10px; color: #6060B0; font-weight: bold; text-decoration: none}
a.a1:active {font-size: 10px; color: #6060B0; font-weight: bold; text-decoration: none}
a.a1:hover {font-size: 10px; color: #000000; font-weight: bold; text-decoration: none}
textarea,input { font-family: Verdana, Tahoma; font-size: 11px; background: #FFFFFF; border: 1pt solid #CCCCCC; color: #222222 }
</style>
</head>
<body bgcolor=#FFFFFF topmargin=10 leftmargin=0 marginwidth=0 marginheight=0>
<div align=center>
<table width=600 border=0 cellspacing=0 cellpadding=0>
<tr><td>
<table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center class=p bgcolor=#E8E8FF><b>SR Guestbook v1.2</b></td></tr></table>
</td></tr>
<tr><td>

<?php
if (!file_exists("passwd.dat") && $QUERY_STRING == "login"):
     echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center  class=p bgcolor=#FFFFFF>Сейчас будет создан файл с паролем...</b></td></tr></table>";
     if (isset($alogin) and $alogin != "" and isset($pass) and $pass != ""):
          $file = fopen("passwd.dat","w");
          fputs($file,"<?php\r\n\$Password['$alogin'] = \"".md5($pass)."\";\r\n?>");
          fclose($file);
          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center  class=p bgcolor=#FFFFFF>Файл с паролем создан успешно!</b></td></tr></table>";
          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center  class=p bgcolor=#FFFFFF><b>Теперь можете смело входить в админ.центр! Удачи!</b></td></tr></table>";
     else: echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center  class=p style=\"color:#FFFFFF\" bgcolor=#FF0000><b>Файл с паролем не создан! Недостаточно параметров!</b></td></tr></table>";
     endif;
endif;

if ($logined):
     include("config.inc.php");

     function cut($string)
          {
          $string = ereg_replace('\\\"',"&quot;",$string);
          $string = ereg_replace("\\\'","&quot;",$string);
          $string = str_replace(":","&#58;",$string);
          $string = str_replace("\r","",$string);
          $string = str_replace("\n","<br>",$string);
          $string = str_replace("%","&#37;",$string);
          $string = str_replace("^ +","",$string);
          $string = str_replace(" +$","",$string);
          $string = str_replace(" +"," ",$string);
          return ($string);
          }

     if ($QUERY_STRING=="login"):
          if(isset($changes)||isset($delete)||isset($banip)):
               if(is_file($data) && is_readable($data)):
                    $read=fopen($data,"r") or die("<p class=error>Не могу открыть файл $data</p>");
                    $file_change=file("$data");
                    fclose($read);
               endif;
               if(isset($changes)):
                    $name=cut($name);
                    $mail=cut($mail);
                    $url=cut($url);
                    $city=cut($city);
                    $mess=cut($mess);
                    $answer=cut($answer);
                    $file_change[$id]="$name|$mess|$mail|$url|$city|$date|$answer|$ip\r\n";
                    $number=$id+1;
               endif;
               if(isset($delete)):
                    $file_change[$id]="";
                    $number=$id+1;
               endif;
               if(isset($banip)):
                    $file_change[$id]="";
                    $number=$id+1;
                    if(is_file($banlist) && is_writable($banlist))
                         {
                         $write=fopen($banlist,"a") or die("<p class=error>Не могу открыть файл $banlist</p>");
                         flock($write,2);
                         fputs($write,"$ip|Некорректное поведение!|$name\r\n");
                         flock($write,3);
                         fclose($write);
                         }
                    endif;
               if(is_file($data) && is_writable($data)):
                    $write=fopen($data,"w") or die("<p class=error>Не могу открыть файл $data</p>");
                    flock($write,2);
                    foreach($file_change as $key=>$value)
                         fputs($write,$value);
                    flock($write,3);
                    fclose($write);
               endif;
          endif;
          if(isset($save)):
                $file_change[$id]="$name|$mess|$mail|$url|$city|$date|$answer|$ip\r\n";
                $f=fopen($saves,"a");
                fputs($f,$file_change[$id]);
                fclose($f);
          endif;
     $QUERY_STRING=="login";
     endif;

     if ($QUERY_STRING=="design"):
          if(isset($change_design)):
               if(is_file($header) && is_writable($header)):
               $myhead=ereg_replace("\\\'","'",$myhead);
               $myhead=ereg_replace('\\\"','"',$myhead);
                    $writech=fopen($header,"w") or die("<p class=error>Не могу открыть файл $header</p>");
                    flock($writech,2);
                    fputs($writech,"$myhead");
                    flock($writech,3);
                    fclose($writech);
               endif;
               if(is_file($footer) && is_writable($footer)):
               $myfoot=ereg_replace("\\\'","'",$myfoot);
               $myfoot=ereg_replace('\\\"','"',$myfoot);
                    $writech=fopen($footer,"w") or die("<p class=error>Не могу открыть файл $footer</p>");
                    flock($writech,2);
                    fputs($writech,"$myfoot");
                    flock($writech,3);
                    fclose($writech);
               endif;
          endif;
     $QUERY_STRING=="design";
     endif;

     if ($QUERY_STRING=="auto_exch"):
          $ttt=count($change1_);
          if(isset($change_auto)):
               if(is_file($exech) && is_writable($exech)):
                    $writech=fopen($exech,"w") or die("<p class=error>Не могу открыть файл $exech</p>");
                    flock($writech,2);
                         for($i=0;$i<$ttt;$i++)
                              {
                              if($change1_[$i]!="")
                                   fputs($writech,"$change1_[$i]|$change2_[$i]\r\n");
                              }
                    flock($writech,3);
                    fclose($writech);
               endif;
          endif;
          if(isset($add_new_auto)&&$newchange1!=""&&$newchange2!=""):
                if(is_file($exech) && is_writable($exech)):
                    $write=fopen($exech,"a") or die("<p class=error>Не могу открыть файл $exech</p>");
                    flock($write,2);
                    fputs($write,"$newchange1|$newchange2\r\n");
                    flock($write,3);
                    fclose($write);
               endif;
          endif;
     $QUERY_STRING=="auto_exch";
     endif;

     if ($QUERY_STRING=="options"):
          if(isset($change_opt)):
               $upconfig="<?php\r\n";
               $upconfig.="\$BACKGROUND = \"$BACKGROUND_\";\r\n";
               $upconfig.="\$BORDER = \"$BORDER_\";\r\n";
               $upconfig.="\$DARK = \"$DARK_\";\r\n";
               $upconfig.="\$LIGHT = \"$LIGHT_\";\r\n";
               $upconfig.="\$maxmess = \"$maxmess_\";\r\n";
               $upconfig.="\$maxlenght = \"$maxlenght_\";\r\n";
               $upconfig.="\$maxword = \"$maxword_\";\r\n";
               $upconfig.="\$maxmail = \"$maxmail_\";\r\n";
               $upconfig.="\$maxurl = \"$maxurl_\";\r\n";
               $upconfig.="\$maxcity = \"$maxcity_\";\r\n";
               $upconfig.="\$config = \"$config_\";\r\n";
               $upconfig.="\$data = \"$data_\";\r\n";
               $upconfig.="\$saves = \"$saves_\";\r\n";
               $upconfig.="\$exech = \"$exech_\";\r\n";
               $upconfig.="\$banlist = \"$banlist_\";\r\n";
               $upconfig.="\$backup = \"$backup_\";\r\n";
               $upconfig.="\$footer = \"$footer_\";\r\n";
               $upconfig.="\$header = \"$header_\";\r\n";
               $upconfig.="\$send_form = \"$send_form_\";\r\n";
               $upconfig.="\$mailto = \"$mailto_\";\r\n";
               $upconfig.="\$send_mail = \"$send_mail_\";\r\n";
               $upconfig.="?>";
               if(is_file($config) && is_writable($config)):
                    $write=fopen($config,"w") or die("<p class=error>Не могу открыть файл $config</p>");
                    flock($write,2);
                    fputs($write,$upconfig);
                    flock($write,3);
                    fclose($write);
                endif;
           endif;
     $QUERY_STRING=="options";
     endif;

     if ($QUERY_STRING=="ban_list"):
          $bbb=count($badip_);
          if(isset($change_ban)):
               if(is_file($banlist) && is_writable($banlist)):
                    $writeb=fopen($banlist,"w") or die("<p class=error>Не могу открыть файл $banlist</p>");
                    flock($writeb,2);
                         for($i=0;$i<$bbb;$i++)
                              {
                              if($badip_[$i]!="")
                                   fputs($writeb,"$badip_[$i]|$why_[$i]|$who_[$i]\r\n");
                              }
                    flock($writeb,3);
                    fclose($writeb);
               endif;
          endif;
          if(isset($add_new_ban)&&$newbadip!=""):
               if(is_file($banlist) && is_writable($banlist)):
                    $write=fopen($banlist,"a") or die("<p class=error>Не могу открыть файл $banlist</p>");
                    flock($write,2);
                    fputs($write,"$newbadip|$newhy|$newho\r\n");
                    flock($write,3);
                    fclose($write);
              endif;
          endif;
     $QUERY_STRING=="ban_list";
     endif;
     
     if ($QUERY_STRING=="backup"):
          if(isset($backup_all)):
                $original=file("$data");
                $f=fopen($backup,"w");
                foreach($original as $value)
                        fputs($f,$value);
                fclose($f);
                $back="<b>Готово!</b>";
          endif;
     $QUERY_STRING=="backup";
     endif;

     echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr>";
     echo "<td align=center class=p1 bgcolor=#FFFFFF>";
     echo "<b>.:</b> <a href=admin.php?login class=a>Правка</a>  <b>.:</b> ";
     echo "<a href=admin.php?design class=a>Дизайн</a>  <b>.:</b> ";
     echo "<a href=admin.php?auto_exch class=a>Автозамена</a>  <b>.:</b> ";
     echo "<a href=admin.php?options class=a>Настройки</a>  <b>.:</b> ";
     echo "<a href=admin.php?ban_list class=a>Бан-лист</a>  <b>.:</b> ";
     echo "<a href=admin.php?backup class=a>Backup</a>  <b>.:</b> ";
     echo "<a href=index.php target=_blank class=a>Просмотр</a>  <b>.:</b> ";
     echo "<a href=http://www.sad-raven.ru target=_blank class=a>Помощь</a></td>";
     echo "</tr></table>";
     echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>";

     if ($QUERY_STRING == "login" || ereg("^page",$QUERY_STRING)):
          if(is_file($data) && is_readable($data))
               {
               $readdata=fopen($data,"r") or die("<p class=error>Не могу открыть файл $data</p>");
               $file_array=file("$data");
               fclose($readdata);
               }
          else 
          die("<p class=error>Файл $data не существует или запрещено чтение из него !</p>");
          $lines=count($file_array);
          $pages=(int)(($lines+$maxmess-1)/$maxmess);
          if($page==0||$page<0) {$page=1;}
          $from=$lines-($page*$maxmess-1);
          $to=$lines-(($page-1)*$maxmess);

        if (!isset($page)) { $page = 1; }

        function getPages($total, $page, $link, $perpage)
                {
                $mpp = $perpage;
                $prev_page = $page - 1;
                $next_page = $page + 1;
                if ($total <= $mpp) $pages = 1;
                elseif($total % $mpp == 0) $pages = $total / $mpp;
                else $pages = $total / $mpp + 1;
                $pages = (int) $pages;
                $s_pages    = $page<7 ? 1 : floor($page / 7) * 7;
                $e_pages    = $page + 6;
                if ($e_pages > $pages) { $e_pages = $pages; }
                $s = "";
                if ($pages > 6){
                if($prev_page != 0) { $s = "<a href=\"".$link."page=1\"> &lt;&lt; </a>| \n"; }
                if($prev_page) { $s .= "<a href=\"".$link."page=$prev_page\"> &lt; </a>| \n"; }}
                for($i=$s_pages;$i<=$e_pages;$i++)
                        {
                        if ($i != $page) { $s .= "<a href=\"".$link."page=$i\" class=a1> $i </a>| \n"; }
                        elseif ($i != 1) { $s .= " <b> $i |</b> "; }
                        elseif ($page != $pages) { $s .= " <b> 1 |</b> "; }
                        }
                if($page != $pages && $pages > 6)
                        {
                        $s .= "<a href=\"".$link."page=$next_page\"> &gt; </a>| \n";
                        $s .= "<a href=\"".$link."page=$pages\"> &gt;&gt; </a>| \n";
                        }
                if (!isset($s) || $s == "") { $s = " <b> 1 |</b> "; }
                return $s;
                }
        $echo_pages = getPages($lines, $page, "admin.php?", $maxmess);

          echo "<table bgcolor=#CCCCCC border=0 cellpadding=2 cellspacing=1 width=600><tr><td bgcolor=#FFFFFF class=p2 align=center><b>Всего сообщений : $lines</b></td></tr><tr><td bgcolor=#FFFFFF class=p2 align=center><b>Страницы : | $echo_pages</b></td></tr></table>";
          for($i=$to-1;$i>=$from-1;$i--)
               {
               $id=$i;
               list($name,$mess,$mail,$url,$city,$date,$answer,$ip)=explode("|", $file_array[$i]);
               if(!($name==""&&$mess=="")):
                    $messnum=$id+1;
                    echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>";
                    echo "<table border=0 cellpadding=2 cellspacing=1 width=600 bgcolor=#CCCCCC>";
                    echo "<tr><td align=center class=p bgcolor=#E8E8FF><b>Сообщение #$messnum</b></td></tr>";
                    echo "<tr><td bgcolor=#FFFFFF>";
               echo "<form action=admin.php?login method=post>";
               echo "<input name=id type=hidden value=$id>";
               echo "<table width=527 cellspacing=2 cellpadding=1 border=0 align=center class=p>";
               echo "<tr><td align=right>Автор:</td><td align=center><input class=p style=\"width: 424px;\" name=name type=text value=\"$name\"></td></tr>";
               echo "<tr><td align=right>E-mail:</td><td align=center><input class=p style=\"width: 424px;\" name=mail type=text value=\"$mail\"></td></tr>";
               echo "<tr><td align=right>Home Page:</td><td align=center><input class=p style=\"width: 424px;\" name=url type=text value=\"$url\"></td></tr>";
               echo "<tr><td align=right>Город:</td><td align=center><input class=p style=\"width: 424px;\" name=city type=text value=\"$city\"></td></tr>";
               echo "<tr><td align=right>Время:</td><td align=center><input class=p style=\"width: 424px;\" name=date type=text value=\"$date\"></td></tr>";
               echo "<tr><td align=right>IP:</td><td align=center><input class=p style=\"width: 424px;\" name=ip type=text value=$ip></td></tr>";
               echo "<tr><td align=right>Сообщение:</td><td align=center><textarea class=p style=\"width: 424px;\" name=mess rows=5 cols=80>$mess</textarea></td></tr>";
               echo "<tr><td align=right>Ответ:</td><td align=center><textarea class=p style=\"width: 424px;\" name=answer rows=5 cols=80>$answer</textarea></td></tr>";
               echo "<tr><td colspan=2 align=right><input type=submit style=\"color:#000000;width:100px;cursor:hand;\" name=changes value=\"Изменить\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\">&nbsp;&nbsp;";
               echo "<input type=submit style=\"color:#000000;width:100px;cursor:hand;\" name=save value=\"Сохранить\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\">&nbsp;&nbsp;";
               echo "<input type=submit style=\"color:#CC0000;width:100px;cursor:hand;\" name=delete value=\"Удалить\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\">&nbsp;&nbsp;";
               echo "<input type=submit style=\"color:#CC0000;width:100px;cursor:hand;\" name=banip value=\"Забанить\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\">&nbsp;&nbsp;</td></tr>";
               echo "</form></table>";
               echo "</td></tr></table>";
               endif;
              }
          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>";
          echo "<table bgcolor=#CCCCCC border=0 cellpadding=2 cellspacing=1 width=600><tr><td bgcolor=#FFFFFF class=p2 align=center><b>Страницы : | $echo_pages</b></td></tr><tr><td bgcolor=#FFFFFF class=p2 align=center><b>Всего сообщений : $lines</b></td></tr></table>";
     endif;

     if ($QUERY_STRING=="design"):
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Дизайн гостевой книги</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center><form action=admin.php?design method=post>";
          echo "<table width=527 cellspacing=3 cellpadding=1 border=0 class=p>";

          $head_arr=file("$header");
          $ddd=count($head_arr);
          echo "<tr><td align=center width=600>header.inc.php :</td></tr>";
          echo "<tr><td align=center width=600><textarea class=p style=\"width: 495px;\" name=myhead rows=10>";
          for($i=0;$i<$ddd;$i++)
              {
                  echo "$head_arr[$i]";
               }
          echo "</textarea></td></tr>";

          $foot_arr=file("$footer");
          $fff=count($foot_arr);
          echo "<tr><td align=center width=600>footer.inc.php :</td></tr>";
          echo "<tr><td align=center width=600><textarea class=p style=\"width: 495px;\" name=myfoot rows=10>";
          for($i=0;$i<$fff;$i++)
               {
               echo "$foot_arr[$i]";
               }
          echo "</textarea></td></tr>";
          echo "<tr><td align=center><input type=submit style=\"color:#000000;width:200px;cursor:hand;\" name=change_design value=\"Внести изменения\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></td></tr>";
          echo "</form></table>";
          echo "</td></tr></table>";

          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>";
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Перечисленное ниже трогать не рекомендуется</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center><table width=527 cellspacing=3 cellpadding=1 border=0 class=p>";
          echo "<tr><td align=left width=527>$ name - имя автора сообщения<br>$ mail - его e-mail<br>$ url - его домашняя страничка<br>$ city - название города, откуда он<br>$ mess - сам текст сообщения<br>$ answer - Ваш ответ на сообщение</td></tr>";
          echo "<tr><td align=center width=527>Также тастоятельно рекомендуется не трогать то, что находится между тегами: < ? и ? >. Если Вы захотите что-то изменить, лучше делать это в настройках.</td></tr>";
          echo "</table></td></tr></table>";
     endif;

     if ($QUERY_STRING=="auto_exch"):
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Автозамены в гостевой книге</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center><form action=admin.php?auto_exch method=post>";
          echo "<table width=590 cellspacing=5 cellpadding=1 border=0 class=p>";
          $autochange=file("$exech");
          $lines=count($autochange);
          for($i=0;$i<$lines;$i++)
               {
               list($change1,$change2)=explode("|", $autochange[$i]);
               echo "<tr><td align=center width=590><input class=p style=\"width: 125px;\" name=change1_[] type=text value=$change1> >> <input class=p style=\"width: 420px;\" name=change2_[] type=text value=\"$change2\"></td></tr>";
               }
          echo "<tr><td align=center width=590>Если Вы захотите удалить какую-нибудь автозамену,<br> сотрите первое поле и нажмите на кнопку:</td></tr>";
          echo "<tr><td align=center><input type=submit style=\"color:#000000;width:200px;cursor:hand;\" name=change_auto value=\"Внести изменения\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></td></tr>";
          echo "</form></table>";
          echo "</td></tr></table>";

          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>";
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Добавление новой автозамены</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center><form action=admin.php?auto_exch method=post>";
          echo "<table width=590 cellspacing=5 cellpadding=1 border=0 class=p>";
          echo "<tr><td align=center width=590><input class=p style=\"width: 125px;\" name=newchange1 type=text> >> <input class=p style=\"width: 420px;\" name=newchange2 type=text></td></tr>";
          echo "<tr><td align=center><input type=submit style=\"color:#000000;width:200px;cursor:hand;\" name=add_new_auto value=\"Добавить\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></td></tr>";
          echo "</form></table>";
          echo "</td></tr></table>";
     endif;

     if ($QUERY_STRING=="options"):
          include("config.inc.php");
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Настройки гостевой книги</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center><form action=admin.php?options method=post>";
          echo "<table width=590 cellspacing=5 cellpadding=1 border=0 class=p>";
          echo "<tr><td align=left width=427>Цвет фона всей страницы:</td><td width=100><input class=p style=\"background: $BACKGROUND;\" name=BACKGROUND_ type=text value=$BACKGROUND></td></tr>";
          echo "<tr><td align=left width=427>Цвет границ гостевой книги:</td><td width=100><input class=p style=\"background: $BORDER;\" name=BORDER_ type=text value=$BORDER></td></tr>";
          echo "<tr><td align=left width=427>Цвет темных ячеек гостевой книги:</td><td width=100><input class=p style=\"background: $DARK;\" name=DARK_ type=text value=$DARK></td></tr>";
          echo "<tr><td align=left width=427>Цвет светлых ячеек гостевой книги:</td><td width=100><input class=p style=\"background: $LIGHT;\" name=LIGHT_ type=text value=$LIGHT></td></tr>";
          echo "<tr><td align=left width=427>Максимальное количество сообщений на странице:</td><td width=100><input class=p name=maxmess_ type=text value=$maxmess></td></tr>";
          echo "<tr><td align=left width=427>Максимальное количество символов в сообщении:</td><td width=100><input class=p name=maxlenght_ type=text value=$maxlenght></td></tr>";
          echo "<tr><td align=left width=427>Максимальное количество символов в слове:</td><td width=100><input class=p name=maxword_ type=text value=$maxword></td></tr>";
          echo "<tr><td align=left width=427>Максимальное количество символов в e-mail:</td><td width=100><input class=p name=maxmail_ type=text value=$maxmail></td></tr>";
          echo "<tr><td align=left width=427>Максимальное количество символов в URL:</td><td width=100><input class=p name=maxurl_ type=text value=$maxurl></td></tr>";
          echo "<tr><td align=left width=427>Максимальное количество символов в названии города:</td><td width=100><input class=p name=maxcity_ type=text value=$maxcity></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу с настройками гостевой книги:</td><td width=100><input class=p name=config_ type=text value=$config></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу с базой данных:</td><td width=100><input class=p name=data_ type=text value=$data></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу с избранными сообщениями:</td><td width=100><input class=p name=saves_ type=text value=$saves></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу с настройками автозамены в гостевой книге:</td><td width=100><input class=p name=exech_ type=text value=$exech></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу с ip-адресами нехороших человеков:</td><td width=100><input class=p name=banlist_ type=text value=$banlist></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу backup:</td><td width=100><input class=p name=backup_ type=text value=$backup></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу header.inc.php:</td><td width=100><input class=p name=header_ type=text value=$header></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу footer.inc.php:</td><td width=100><input class=p name=footer_ type=text value=$footer></td></tr>";
          echo "<tr><td align=left width=427>Путь к файлу с формой для новых сообщений:</td><td width=100><input class=p name=send_form_ type=text value=$send_form></td></tr>";
          echo "<tr><td align=left width=427>E-mail администратора:</td><td width=100><input class=p name=mailto_ type=text value=$mailto></td></tr>";
          echo "<tr><td align=left width=427>Отправлять новые сообщения на этот e-mail (yes/no):</td><td width=100><input class=p name=send_mail_ type=text value=$send_mail></td></tr>";
          echo "<tr><td colspan=2 align=center><input type=submit style=\"color:#000000;width:200px;cursor:hand;\" name=change_opt value=\"Внести изменения\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></td></tr>";
          echo "</form></table>";
          echo "</td></tr></table>";
     endif;

     if ($QUERY_STRING=="ban_list"):
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Доска позора (aka Бан-лист)</b></td></tr>";
          $banips=file("$banlist");
          $banlines=count($banips);
          if($banlines!=0)
               {
               echo "<tr><td bgcolor=#FFFFFF align=center><form action=admin.php?ban_list method=post>";
               echo "<table width=590 cellspacing=5 cellpadding=1 border=0 class=p>";
               echo "<tr><td align=center width=590>Читать и писать в гостевой книге запрещено следующим мерзопакостным личностям:</td></tr>";
               for($i=0;$i<$banlines;$i++)
                   {
                    list($badip,$why,$who)=explode("|", $banips[$i]);
                    echo "<tr><td align=center width=590>IP: <input class=p style=\"width: 90px;\" name=badip_[] type=text value=$badip> Известен как: <input class=p style=\"width: 150px;\" name=who_[] type=text value=\"$who\"> Причина: <input class=p style=\"width: 150px;\" name=why_[] type=text value=\"$why\"></td></tr>";
                    }
               echo "<tr><td align=center width=590>Чтобы удалить какой-либо адрес из списка вредителей,<br>просто сотрите IP и нажмите на кнопку:</td></tr>";
               echo "<tr><td align=center><input type=submit style=\"color:#000000;width:200px;cursor:hand;\" name=change_ban value=\"Внести изменения\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></td></tr>";
               echo "</form></table>";
               }
          else echo "<tr><td bgcolor=#FFFFFF align=center width=600>На удивление, доска позора пуста.";
          echo "</td></tr></table>";

          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>";
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Добавление новой \"редиски\"</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center><form action=admin.php?ban_list method=post>";
          echo "<table width=590 cellspacing=7 cellpadding=1 border=0 class=p>";
          echo "<tr><td align=center width=590>IP: <input class=p style=\"width: 90px;\" name=newbadip type=text> Известен как: <input class=p style=\"width: 150px;\" name=newho type=text> Причина: <input class=p style=\"width: 150px;\" name=newhy type=text></td></tr>";
          echo "<tr><td align=center><input type=submit style=\"color:#000000;width:200px;cursor:hand;\" name=add_new_ban value=\"Добавить\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></td></tr>";
          echo "</form></table>";
          echo "</td></tr></table>";
     endif;
     
     if ($QUERY_STRING=="backup"):
          echo "<table border=0 cellpadding=3 cellspacing=1 width=600 bgcolor=#CCCCCC class=p>";
          echo "<tr><td align=center bgcolor=#E8E8FF><b>Backup базы данных</b></td></tr>";
          echo "<tr><td bgcolor=#FFFFFF align=center width=600><br>Сделать backup всех сообщений?";  if (isset($back) && $back!="") { echo " $back"; }
          echo "<br><br><form action=admin.php?backup method=post><input type=submit style=\"color:#000000;width:100px;cursor:hand;\" name=backup_all value=\"backup\" onmouseover=\"this.style.backgroundColor='#E8E8FF';\" onmouseout=\"this.style.backgroundColor='#FFFFFF';\"></form>";
          echo "</td></tr></table>";
     endif;

else:
     if($error!="") echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center class=p style=\"color:#FFFFFF\" bgcolor=#FF0000><b>$error</b></td></tr></table>";
?>
</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>
</td></tr><tr><td>
<table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC>
<form action=admin.php?login method=post>
<tr><td class=p bgcolor=#E8E8FF align=center><b>Вход в админ.центр:</b></td></tr>
<tr><td class=p bgcolor=#FFFFFF><table><tr><td class=p width=210 align=right>Логин:</td><td class=p width=390 align=left><input type=text name=alogin size=30></td></tr></table></td></tr>
<tr><td class=p bgcolor=#FFFFFF><table><tr><td class=p width=210 align=right>Пароль:</td><td class=p width=390 align=left><input type=password name=pass size=30></td></tr></table></td></tr>
<tr><td align=center bgcolor=#FFFFFF><input type=submit value="Войти" style="width:100px;cursor:hand;" onmouseover="this.style.backgroundColor='#E8E8FF';" onmouseout="this.style.backgroundColor='#FFFFFF';"></td></tr>
</form>
</table>
<?php
     if (!file_exists("passwd.dat"))
          echo "</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table><table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center class=p bgcolor=#FFFFFF>Вы входите в админ.центр в первый раз!<br>Введите любой логин и пароль (они будут использоваться и в будущем).</td></tr></table>";
endif;
?>
</td></tr>
<tr><td>
</td></tr><tr><td><table border=0 cellpadding=0 cellspacing=0 width=600 height=4><tr><td height=4></td></tr></table>
<table width=600 border=0 cellspacing=1 cellpadding=3 bgcolor=#CCCCCC><tr><td align=center class=p1 bgcolor=#E8E8FF>Copyright 2002. Programming by <a href=http://www.sad-raven.ru target=_blank>Sad Raven.</a></td></tr></table>
</td></tr>
</table>
</div>
</body>
</html>
